#include "mystdio.h"
#include "LCD.h"

void print_str( auto const far rom char * str ){
	char i;
	
	for( i=0; str[i]!='\0'; i++ ){
		LCD_PutChar( str[i] );		
	}
}

void print_int( int val ){
	char digits[6]="00000";	// max 5 chiffres pour un int
	char i;
	
	if( val==0 ){
		LCD_PutChar( '0' );
		return;	
	}
	
	if( val<0 ){
		LCD_PutChar( '-' );
		val = -val;
	}
	
	for( i=0; val!=0; i++, val/=10 ){
		digits[i] = '0' + (val%10) ;
	}
	
	i--;
	
	for( ; i>=0; i-- ){
		LCD_PutChar( digits[i] );	
	}
}

void print_strint( auto const far rom char * str, int val, char nl ){
	print_str( str );
	print_int(val);
	if( nl ){
		print_str("\n");
	}
}
