// Fichier HighLevel.H
/////////////////////////////////////////////////////////

/********************************************************
 *                                                      *
 *                Code source de la librairie           *
 *					de la carte principale 				*
 *                                                      *
 * .Date de cration : 29/12/07                         *
 * .Auteur : Philippe Lucidarme                         *       
 *                                                      *
 * .Descriptions :                                      *
 *      - code des fonctions pour la carte principale   *
 *                                                      *
 *                                                      *
 * .Remarques :                                         *
 *                                                      *
 ********************************************************/

#ifndef __HIGHLEVEL_H__
#define __HIGHLEVEL_H__


// --------------------------------------------------------------------------
/* Recale le robot en marche arrre aux switchs
 * Arguments : 
 *  Vitesse du robot grossire pour l'approche
 *  Delay pendant lequel on force sur le bord
*/
int Recalage_Switch(int Vit, int Delay);


// --------------------------------------------------------------------------
/* Recale le robot en dbut de match
 *  Recule jusqu' la bordure 								(erreurs 1)
 *  Force la position en 0,0,0							 	(erreurs 2)
 *  Avance de 25cm											(erreurs 3)
 *
 *  Pas de problme : on retourne 0 
*/
int Recal_Robot_Start (void);



#endif
