#include <p18f452.h>
#include <delays.h>
#include "mystdio.h"
#include <usart.h>
#include <math.h>
//#include <string.h>


#include 	"Constante.h"
//#include 	"strategie_bleu.h"							// Fonctions pour la stratgie
#include	"Tir.h"
#include	"Recal.h"
#include	"Distributeur.h"
#include 	"Goto_Conteneur.h"
#include 	"canon.h"
#include 	"attaque_rouge.h"
#include	"depart_rouge_VA.h"

//#define 	JACK_DEBUG								//  Si JACK-DEBUG est dfinit, on utilise le joystick pour dmarrer


#include "lcd.h"
#include "StartUp.h"
#include "JoyStick.h"
#include "Propulsion.h"
#include "rouleaux.h"
#include "IO.h"
#include "I2C_Master.h"
#include "barillet.h"
#include "Horloge.h"
#include "led.h"
#include "Telemetres.h"
#include "serial.h"
#include "canon.h"
#include "Tourelle.h"
#include "Ejecteur.h"
#include "Recal.h"
#include "Distributeur.h"







void main(void)
{

	char 			i,config=0;								// Position de la balle bleu mobile
	int				MesureTelemetre;						// Distance mesure au tlmtre
	unsigned char 	Couleur_Jouee=0;						// Couleur joue pendant le match
	unsigned char	Balles_Blanche_Adverce=0;				// Si on est allez chercher des balles blanches ou non chez l'adversaire
	unsigned char	Bad_Robot;								// =1 si le robot adverse est dangeureux
	int 			correction=0;								// Correction de la position pour la prise des balles

	unsigned char	Nombre_Voyage=0;						// Nombre de voyages depuis le dbut 
	int vit=100;
	int vit_canon;
	
	
	Init_Peripheriques();									// Dmarre le robot et lance le CheckUp
	Bad_Robot=Check_Up(ROUGE);								// Scanne l'ensemble des priphriques et vrifie leur fonctionnement	
	Delay10KTCYx(200);										
						
	// Attends la prsence du Jack
		
#ifndef JACK_DEBUG	
	print_str ("Attente jack    ");							// Attends que le jack soit enfil
	while (!IO_Jack()); 									// Tant que le jack n'est pas prsent
	print_str ("[OK]");										// Pas d'erreur
	while (IO_Jack());										// On attends le retrait du Jack
#else
	print_str ("Attente Click   ");
	Joy_Click();
	print_str ("[OK]");										// Pas d'erreur
#endif

	LCD_Clear();											// Efface l'cran et ... c'est parti !

/* test jection rouge
	while (1)
	{
		StartHorloge();
		Force_Propulsion(0,0,-1000*PI/2);
		Pivot_Gauche();				
		Ejecteur_Gauche_Actif();
		GotoXY_Propulsion(X_Propulsion()+2000,Y_Propulsion()-5,80);
		while (IsMove_Propulsion());
		Stop_Propulsion();
		Ejecteur_Gauche_Repos();
		Joy_Click();
	}
*/	

/* test jection bleu
	while (1)
	{
		StartHorloge();
		Force_Propulsion(0,0,-1000*PI/2);
		Pivot_Droite();				
		Ejecteur_Droit_Actif();
		GotoXY_Propulsion(X_Propulsion()-2000,Y_Propulsion()+5,80);
		while (IsMove_Propulsion());
		Stop_Propulsion();
		Ejecteur_Droit_Repos();
		Joy_Click();
	}
*/

/* test rouleaux 
	while(1){
		Commande_Rouleaux(90, -120);
		Joy_Click();
		//Commande_Rouleaux(-120, 90);
		//Joy_Click();
	}
*/
	/* test tirs canon 
	GotoXY_Propulsion(2100, 700, 80 );
	while(IsMove_Propulsion());
	
	while(1){
		while( NbBalles_Barillet(TOUTES)!=5 );
		
		TirToutes();
		
	}
*/	
	
/* test Attaque_Bleu 
	GotoXY_Propulsion(2400, 600, 60);
	while(IsMove_Propulsion() );
	
	Angle_Propulsion(-PI/4, 40);
	while(IsMove_Propulsion() );
	Attaque_Bleu();
*/	
	
	
	StartHorloge();
	
	 
	Depart_Rouge_VA();
	TirToutes_Rouge();
	
	Complement_Rouge(2, 3, 0);
	
	Commande_Rouleaux(-60, -60); 							// on a 5 balles : inverser le sens des rouleaux
	
	ToutDroit_Propulsion(100, -40);
	while( Etat_Propulsion()!='a');
	

	Attaque_Rouge();
	
	while(1);
		
	



	/*
// test tlmtres
		while (1)
	{
		//Force_Propulsion (0,0,0);	
		//printf ("%d \n",(int)(Angle_Absolu_Robot_Adverse()*1000) );		
		//print_str ("%d %d %d %d\n",Telemetre_Avant_Gauche(),Telemetre_Avant_Droit(),Telemetre_Arriere_Gauche(),Telemetre_Arriere_Droit());
		print_str( "avg:" );
		print_int( Telemetre_Avant_Gauche() );
		print_str( "avd:" );
		print_int( Telemetre_Avant_Droit() );
		print_str( "\narg:" );
		print_int( Telemetre_Arriere_Gauche() );
		print_str( "ard:" );
		print_int( Telemetre_Arriere_Droit() );
		print_str( "\n" );
		Delay10KTCYx(100);
	}
	
	*/






/*	
	while (1)
	{
		StartHorloge();
		Joy_Click();
		if(Recal_Arriere())
			Force_Propulsion(X_Propulsion(),2035,-1571);
	}
*/

// test adversaire devant/derriere 
/*	while(1){
		print_strint( "av=", Adversaire_Devant(), 0 );
		print_strint( ", ar=", Adversaire_Derriere(), 1 );
		Delay10KTCYx(150);	
	}
*/




/* test canon 
	vit_canon = 110;
	Commande_Canon(	vit_canon );
	
	while(1){
		
		while( NbBalles_Barillet (TOUTES)!=5 );
		
		while (NbBalles_Barillet (BLANCHE))														// Tant qu'il y a des balles dans le barillet
		{
			while( Mesure_Moyenne_Canon(100)!=vit_canon  ); 			// Vrification de la vitesse du canon 
			TirBalle_Barillet( BLANCHE );															// Tir une balle
			Delay10KTCYx(100);
			while (Barillet_Busy());
		}
	}
	*/

/* test recalages avant/arrire	
	Force_Propulsion( 0, 1700, -PI/2.0*1000 );
	while (1)
{
	if (Recal_Arriere())
		Force_Propulsion( X_Propulsion(), 2060, -1571 );
	ToutDroit_Propulsion (300,30);
	while (IsMove_Propulsion());
	Angle_Propulsion(0,30);
	while (IsMove_Propulsion());
	if (Recal_Avant())
		Force_Propulsion(3000-234,Y_Propulsion(),0);					// Force la position du robot	
	ToutDroit_Propulsion (300,-30);
	while (IsMove_Propulsion());
	Angle_Propulsion(-PI/2,30);
	while (IsMove_Propulsion());		
	
}	
*/
	


	
/* test dtection balles 	
	Commande_Rouleaux(60, 90);	
	while(1){ 
		char ret;
		
		ret = OrienteMax_Telemetre(10);
		print_strint("ret=", ret, 1 );
		//Joy_Click();
		Delay10KTCYx(150);
		
		ToutDroit_Propulsion(500, 40);
		while( IsMove_Propulsion() );
		Joy_Click();
	}
*/




/*test tlmetre
	while(1)
	{
		print_str( "\nrouge:" );
		print_int( Moyenne_Telemetre_Rouge(1000));
		print_str( "bleu:" );
		print_int( Moyenne_Telemetre_Bleu(1000));
		Delay10KTCYx(200);	
	}*/
	
/*	test complment bleu
	GotoXY_Propulsion(1000,1000, 80);
	while (IsMove_Propulsion());
	
	Complement_Bleu(2,3);
	while(1);
*/	

/* Test GoTo_Conteneur
while (1)
{
	Force_Propulsion(600,600,PI*1000);
	StartHorloge();
	Goto_Conteneur(2200);
	Joy_Click();
}
*/
/*

Commande_Rouleaux(90, 90);
GotoXY_Propulsion(2480,800,80);
while (Etat_Propulsion ()!='a');

Stop_Propulsion();
while(1);	*/


/*	while (1)
	{
		//Force_Propulsion (0,0,0);	
		//printf ("%d \n",(int)(Angle_Absolu_Robot_Adverse()*1000) );		
		//print_str ("%d %d %d %d\n",Telemetre_Avant_Gauche(),Telemetre_Avant_Droit(),Telemetre_Arriere_Gauche(),Telemetre_Arriere_Droit());
		print_str( "avg:" );
		print_int( Telemetre_Avant_Gauche() );
		print_str( "avd:" );
		print_int( Telemetre_Avant_Droit() );
		print_str( "\narg:" );
		print_int( Telemetre_Arriere_Gauche() );
		print_str( "ard:" );
		print_int( Telemetre_Arriere_Droit() );
		print_str( "\n" );
		Delay10KTCYx(100);
	}	
*/
	
}

